%global momorel 3

%define priority	67
%define fontname	meguri
%define	archivename	meguri-fonts
%define	fontconf	%{priority}-%{fontname}
%define	common_desc	\
Meguri fonts are modified IPA and M+ fonts for Japanese.

Name:		%{fontname}-fonts
Version:	20090604
Release:	%{momorel}m%{?dist}
Summary:	Modified IPA and M+ fonts

License:	"IPA" and "mplus"
Group:		User Interface/X
URL:		http://www.geocities.jp/ep3797/modified_fonts_01.html
Source0:	http://www.geocities.jp/ep3797/snapshot/modified_fonts/%{archivename}-%{version}.tar.bz2
NoSource:	0
Source1:	%{fontname}-fontconfig-pgothic.conf
Source2:	%{fontname}-fontconfig-gothic.conf
Source11:	revert-backslash.pe
Source12:	revert-backslash-p.pe
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	fontforge

Requires:	%{name}-common = %{version}-%{release}
%description
%common_desc

This package contains %{fontname} fonts.

%package	common
Summary:	Common files of meguri
Group:		User Interface/X
Requires:	fontpackages-filesystem

%description	common
%common_desc

This package consists of files used by other %{name} packages.

%package -n	%{fontname}-p-fonts
Summary:	Meguri proportional font
Group:		User Interface/X
Requires:	%{name}-common = %{version}-%{release}

%description -n	%{fontname}-p-fonts
%common_desc

This package contains %{fontname} proportional fonts.

%prep
%setup -q -n %{archivename}-%{version}

%build
fontforge %{SOURCE11}
fontforge %{SOURCE12}

%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 modified-meguri.ttf %{buildroot}%{_fontdir}/meguri.ttf
install -m 0644 modified-meguri-p.ttf %{buildroot}%{_fontdir}/meguri-p.ttf

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir}
install -m 0755 -d %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-pgothic.conf
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-gothic.conf

for fconf in %{fontconf}-pgothic.conf %{fontconf}-gothic.conf; do
    ln -s %{_fontconfig_templatedir}/$fconf %{buildroot}%{_fontconfig_confdir}/$fconf
done

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root,-)
%doc ChangeLog README
%doc IPA_Font_License_Agreement_v1.0.txt
%doc docs-ipa/
%doc docs-mplus/
%dir %{_fontdir}

%_font_pkg -f %{fontconf}-gothic.conf meguri.ttf

%_font_pkg -n p -f %{fontconf}-pgothic.conf meguri-p.ttf

%changelog
* Thu Aug  6 2009 Hajime Yoshimori <lugia@momonga-linux.org>
- (20090604-3m)
- Move half-width yen to correct position
- Generate backslash from slash

* Sun Jul 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090604-2m)
- revert backslash

* Fri Jul 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090604-1m)
- initial packaging
